|  | Home · All Classes · Modules

# QStyleOptionTabV2 Class Reference
[QtGui module]

The QStyleOptionTabV2 class is used to describe the parameters necessary for drawing a tabs in Qt 4.1 or above. More...

Inherits QStyleOptionTab.

Inherited by QStyleOptionTabV3.

### Types

- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionTabV2)
- __init__ (self, QStyleOptionTab)

### Members

- QSize iconSize

## Detailed Description

The QStyleOptionTabV2 class is used to describe the parameters necessary for drawing a tabs in Qt 4.1 or above.

An instance of the QStyleOptionTabV2 class has type SO_Tab and version 2. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionTab and QStyleOptionTabV2. One way to achieve this is to use the QStyleOptionTabV2 copy constructor. For example:

         if (const QStyleOptionTab *tabOption =
                qstyleoption_cast<const QStyleOptionTab *>(option)) {
             QStyleOptionTabV2 tabV2(*tabOption);

             // draw the tab using tabV2
        }

In the example above: If `tabOption`'s version is 1, the extra member (iconSize) will be set to an invalid size for `tabV2`. If `tabOption`'s version is 2, the constructor will simply copy the `tab`'s iconSize.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOptionTab and QStyleOption.

## Type Documentation

### QStyleOptionTabV2.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabV2.Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionTabV2.__init__ (self)

Constructs a QStyleOptionTabV2.

### QStyleOptionTabV2.__init__ (self, QStyleOptionTabV2)

Constructs a copy of the other style option.

### QStyleOptionTabV2.__init__ (self, QStyleOptionTab)

Constructs a QStyleOptionTabV2 copy of the other style option which can be either of the QStyleOptionTabV2 or QStyleOptionTab types.

If the other style option's version is 1, the new style option's `iconSize` is set to an invalid value. If its version is 2, its `iconSize` value is simply copied to the new style option.

## Member Documentation

### QSize iconSize

This variable holds the size for the icons.

The default value is QSize(-1, -1), i.e. an invalid size; use QStyle.pixelMetric() to find the default icon size for tab bars.

See also QTabBar.iconSize().